Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class FieldManager

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.FieldManager

All Implemented Interfaces:
  PersistenceCapable.ObjectIdFieldConsumer, PersistenceCapable.ObjectIdFieldManager, PersistenceCapable.ObjectIdFieldSupplier

Direct Known Subclasses:
  ClearFieldManager, NullCheckFieldManager, PersistFCOFieldManager, SaveFieldManager, SingleFieldManager, StateManagerImpl

abstract class FieldManager
extends Object
implements PersistenceCapable.ObjectIdFieldManager

Type used when loading and storing state information from the `StateManager` to the `PersistenceCapable` instance it governs. Concrete implementations of this class are used, for example, to clear the fields of the persistence capable on transition to the hollow state or to store the instance fields for rollback. Subclasses must override those operations that they support.

Constructor Summary
`(package private)` | `FieldManager()`

Method Summary
`boolean` | `fetchBooleanField(int field)`
`byte` | `fetchByteField(int field)`
`char` | `fetchCharField(int field)`
`double` | `fetchDoubleField(int field)`
`float` | `fetchFloatField(int field)`
`int` | `fetchIntField(int field)`
`long` | `fetchLongField(int field)`
`Object` | `fetchObjectField(int field)`
`short` | `fetchShortField(int field)`
`String` | `fetchStringField(int field)`
`void` | `storeBooleanField(int field, boolean curVal)`
`void` | `storeByteField(int field, byte curVal)`
`void` | `storeCharField(int field, char curVal)`
`void` | `storeDoubleField(int field, double curVal)`
`void` | `storeFloatField(int field, float curVal)`
`void` | `storeIntField(int field, int curVal)`
`void` | `storeLongField(int field, long curVal)`
`void` | `storeObjectField(int field, Object curVal)`
`void` | `storeShortField(int field, short curVal)`
`void` | `storeStringField(int field, String curVal)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldManager

    FieldManager()

Method Detail

### fetchBooleanField

    public boolean fetchBooleanField(int field)

  Specified by:
    `fetchBooleanField` in interface `PersistenceCapable.ObjectIdFieldSupplier`

### fetchByteField

    public byte fetchByteField(int field)

  Specified by:
    `fetchByteField` in interface `PersistenceCapable.ObjectIdFieldSupplier`

### fetchCharField

    public char fetchCharField(int field)

  Specified by:
    `fetchCharField` in interface `PersistenceCapable.ObjectIdFieldSupplier`

### fetchDoubleField

    public double fetchDoubleField(int field)

  Specified by:
    `fetchDoubleField` in interface `PersistenceCapable.ObjectIdFieldSupplier`

### fetchFloatField

    public float fetchFloatField(int field)

  Specified by:
    `fetchFloatField` in interface `PersistenceCapable.ObjectIdFieldSupplier`

### fetchIntField

    public int fetchIntField(int field)

  Specified by:
    `fetchIntField` in interface `PersistenceCapable.ObjectIdFieldSupplier`

### fetchLongField

    public long fetchLongField(int field)

  Specified by:
    `fetchLongField` in interface `PersistenceCapable.ObjectIdFieldSupplier`

### fetchObjectField

    public Object fetchObjectField(int field)

  Specified by:
    `fetchObjectField` in interface `PersistenceCapable.ObjectIdFieldSupplier`

### fetchShortField

    public short fetchShortField(int field)

  Specified by:
    `fetchShortField` in interface `PersistenceCapable.ObjectIdFieldSupplier`

### fetchStringField

    public String fetchStringField(int field)

  Specified by:
    `fetchStringField` in interface `PersistenceCapable.ObjectIdFieldSupplier`

### storeBooleanField

    public void storeBooleanField(int field,
                                  boolean curVal)

  Specified by:
    `storeBooleanField` in interface `PersistenceCapable.ObjectIdFieldConsumer`

### storeByteField

    public void storeByteField(int field,
                               byte curVal)

  Specified by:
    `storeByteField` in interface `PersistenceCapable.ObjectIdFieldConsumer`

### storeCharField

    public void storeCharField(int field,
                               char curVal)

  Specified by:
    `storeCharField` in interface `PersistenceCapable.ObjectIdFieldConsumer`

### storeDoubleField

    public void storeDoubleField(int field,
                                 double curVal)

  Specified by:
    `storeDoubleField` in interface `PersistenceCapable.ObjectIdFieldConsumer`

### storeFloatField

    public void storeFloatField(int field,
                                float curVal)

  Specified by:
    `storeFloatField` in interface `PersistenceCapable.ObjectIdFieldConsumer`

### storeIntField

    public void storeIntField(int field,
                              int curVal)

  Specified by:
    `storeIntField` in interface `PersistenceCapable.ObjectIdFieldConsumer`

### storeLongField

    public void storeLongField(int field,
                               long curVal)

  Specified by:
    `storeLongField` in interface `PersistenceCapable.ObjectIdFieldConsumer`

### storeObjectField

    public void storeObjectField(int field,
                                 Object curVal)

  Specified by:
    `storeObjectField` in interface `PersistenceCapable.ObjectIdFieldConsumer`

### storeShortField

    public void storeShortField(int field,
                                short curVal)

  Specified by:
    `storeShortField` in interface `PersistenceCapable.ObjectIdFieldConsumer`

### storeStringField

    public void storeStringField(int field,
                                 String curVal)

  Specified by:
    `storeStringField` in interface `PersistenceCapable.ObjectIdFieldConsumer`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.